#ifdef GL_ES
precision lowp float;
#endif

uniform vec2 position;
uniform float lightSize;
uniform vec4 color;

void main()
{
    float darkness = color.a;
    gl_FragColor = vec4(vec3(color.xyz), darkness);//vec4(vec3(gl_FragColor.xyz), darkness);
   //gl_FragColor = vec4(0, 0, 0, darkness);
    vec2 centerPos = gl_FragCoord.xy - vec2(position.x, position.y);
    //calculate light density
    float z = sqrt(lightSize*lightSize - centerPos.x*centerPos.x - centerPos.y*centerPos.y);
    z /= lightSize;
    if (length(centerPos) < lightSize) {
        gl_FragColor.a = darkness - z;
		//gl_FragColor.xyz = vec3(0, 50, 50); 
    }
}